function scheme = FB03_Colorscheme
%
% scheme = FB03Colorscheme
%
% defines the colors used in the final figures for FB03
%

% color for the saccade conditions [-12 -6 6 12]
scheme.SaccCondColors = [ ...
    0.55 0.1  0   ; ...
    0.85 0.35 0.3 ; ...
    0.3  0.35 0.85; ...
    0    0.1  0.55; ];

% color for the vertical saccade conditions at [-12 -6 6 12]
scheme.VertCondColors = [ ...
    0.75 0    0.6 ; ...
    0.55 0.3  0.35; ...
    0.35 0.6  0.1 ; ...
    0.1  0.75 0   ; ];
    
% color for saccade direction [left and right]
scheme.SaccDirCond = [ ...
    mean(scheme.SaccCondColors([1,2],:)); ...
    mean(scheme.SaccCondColors([3,4],:)) ];

% for sound onset groups [before, during, after]
scheme.OnsetGroups = [ ...
    0.4118    0.5608    0.2471; ...
    0.9765    0.6510    0.1255; ...
    0.7686    0.2706    0.2118 ];

% bar colors for behavior plot
scheme.BehaviorGroup = { ...
    scheme.SaccDirCond, ...
    [0.2 0.8 0.6; 0.2 0.5 0.3], ...
    [0.2 0.8 0.6; 0.2 0.5 0.3], ...
    [0.2 0.8 0.6; 0.2 0.5 0.3]};

% colors for correct and incorrect trials
scheme.BehaviorCorrect = [ ...
    0    0.62 0.85; ...
    0.95 0.4  0.18 ];
    
% cue EMREO colors
scheme.CueEMREO = [ ...
    0.85 0.3  0.35 ; ...
    0.5  0.5  0.5  ; ...
    0.3  0.35 0.85; ...
    0.5  0.5  0.5 ; ];

% all directions magenta
scheme.MeanMagenta = [ ...
     0.6 0.0 0.8; ...
     0.4 0.3 0.5 ];
 
% regression weight colors: orange, magenta, mint, cyan
scheme.Weights = [ ...
    0.9 0.5 0.1; ...
    0.6 0.0 0.8; ...
    0.2 0.8 0.4; ...
    0.1 0.9 0.9 ];
end
